CHKPASSWD(8)

NAME
chkpasswd - verifies user password against various systems

SYNOPSIS
chkpasswd [-i infosystem [-l location]] [-c] [name]

DESCRIPTION
chkpasswd verifies a supplied username and password against file, NIS, or OpenDirectory infosystems.

The options are as follows:

-c  The supplied password is compared verbatim without first being encrypted.

-i infosystem
    Specify the system against which to check the password (default is PAM). Valid systems:

    file
        File-based passwords

    nis NIS/YP authentication

    opendirectory
        OpenDirectory (Directory Services) authentication. If no -l option is specified, the search node is used.

    PAM Pluggable Authentication Modules

-l location
    Specify a location; varies based on infosystem type:

    for file
        Filename (default: /etc/master.passwd).

    for nis
        NIS domainname.

    for opendirectory
        A directory node name such as /Local/Default.

    for PAM
        Unused.

name username

SEE ALSO
dscl(1), passwd(5)